app.game =
  start: ->
    for i in [0..20*15]
      @map[i] = new Tile

  render: ->
    for tile, i in @map
      tile.render(i-(Math.floor(i/20)*20), Math.floor(i/20))
    @hud.render()

  step: ->

  map: []

  resources:
    stardust: 0
    bedrock: 0
    lubinit: 0
    oxodum: 0
    notch: 0
